gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r7750 - Extractor/contrib/macosx


From: gnunet
Subject: [GNUnet-SVN] r7750 - Extractor/contrib/macosx
Date: Sat, 11 Oct 2008 07:53:33 -0600 (MDT)

Author: holindho
Date: 2008-10-11 07:53:33 -0600 (Sat, 11 Oct 2008)
New Revision: 7750

Modified:
   Extractor/contrib/macosx/Info.plist.in
   Extractor/contrib/macosx/build-osx-framework.sh
Log:
support for revisions, i.e. no changes in extractor code, but in deps or the 
build process


Modified: Extractor/contrib/macosx/Info.plist.in
===================================================================
--- Extractor/contrib/macosx/Info.plist.in      2008-10-11 12:30:01 UTC (rev 
7749)
+++ Extractor/contrib/macosx/Info.plist.in      2008-10-11 13:53:33 UTC (rev 
7750)
@@ -9,7 +9,7 @@
        <key>CFBundleName</key>
        <string>Extractor</string>
        <key>CFBundleGetInfoString</key>
-       <string>@PACKAGE_STRING@, Copyright 2002-2008 Vidyut Samanta and 
Christian Grothoff</string>
+       <string>Extractor (@PACKAGE_STRING@), Copyright 2002-2008 Vidyut 
Samanta and Christian Grothoff</string>
         <key>CFBundleIconFile</key>
         <string></string>
        <key>CFBundleIdentifier</key>
@@ -19,10 +19,10 @@
        <key>CFBundlePackageType</key>
        <string>FMWK</string>
        <key>CFBundleShortVersionString</key>
-       <string>@address@hidden</string>
+       <string>@PACKAGE_VERSION@</string>
         <key>CFBundleSignature</key>
         <string>????</string>
        <key>CFBundleVersion</key>
-       <string>Extractor @address@hidden</string>
+       <string>Extractor @address@hidden@FRAMEWORK_REVISION@</string>
 </dict>
 </plist>

Modified: Extractor/contrib/macosx/build-osx-framework.sh
===================================================================
--- Extractor/contrib/macosx/build-osx-framework.sh     2008-10-11 12:30:01 UTC 
(rev 7749)
+++ Extractor/contrib/macosx/build-osx-framework.sh     2008-10-11 13:53:33 UTC 
(rev 7750)
@@ -561,6 +561,19 @@
        fi
 }
 
+fill_framework_revision()
+{
+       local dst_file="${FINAL_FW_DIR}/$1"
+       if [ -e "$dst_file" ]
+       then
+               if ! ( sed -e "s/@FRAMEWORK_REVISION@/${FW_VERSION_REV}/g" -i 
"" "$dst_file" )
+               then
+                       echo "sed error"
+                       exit 1
+               fi
+       fi
+}
+
 make_framework_link()
 {
        local link_target="$1"
@@ -595,6 +608,13 @@
 ORIG_DIR=$(pwd)
 old_umask=$(umask)
 
+if [ ! -n "$1" ]
+then
+  FW_VERSION_REV="1"
+else
+  FW_VERSION_REV="$1"
+fi  
+
 # prepare build env
 fetch_all_packages
 umask 022
@@ -657,6 +677,7 @@
 done
 cd "${ORIG_DIR}"
 copy_file_to_framework "./contrib/macosx/Info.plist" "Resources/Info.plist"
+fill_framework_revision "Resources/Info.plist"
 copy_file_to_framework "./contrib/macosx/English.lproj/InfoPlist.strings" 
"Resources/English.lproj/InfoPlist.strings"
 make_framework_link "lib/libextractor.dylib" "Extractor"
 make_framework_link "lib" "Libraries"





reply via email to

[Prev in Thread] Current Thread [Next in Thread]